Issue 11553 - Enhance font display in the Object Bar's font combo box
Enhance font display in the Object Bar's font combo box
Status: ACCEPTED
Product: gsl
Classification: Code
Component: code
644
PC All
: P3 trivial with 8 votes (vote)
: AOO PleaseHelp
Assigned To: hdu@apache.org
:
Depends on: 26679
Blocks:
  Show dependency treegraph
 
Reported: 2003-02-17 12:12 UTC by ulf.stroehler
Modified: 2013-02-07 22:17 UTC (History)
3 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description ulf.stroehler 2003-02-17 12:12:44 UTC
This is a follow-up to issue 9833.
As some fonts notably CTL fonts claim to contain western/latin characters, but
actually don't and do not contain a localized, UTF-8 encoded, fontname either,
OOo  does not display a fontname in the font combo box in the Object Bar. 

To circumvent these problems I'd like to suggest to display the latin name of a
non-western font always with the UI font and *additionally* display the
localized name with the font itself on the same line.
BTW. this is how a well-known competitor also does.
Comment 1 hdu@apache.org 2003-02-17 14:02:16 UTC
Additionally to what US said: 
The problem that a font's english name cannot be displayed using the 
itself is solved by glyph fallback. The remaining problem is that 
often the fonts have some sort of western characters too, but their 
quality is severly lacking. We need a mechanism to determine if the 
font's western display capabilities are satisfactory... 
 
Comment 2 hdu@apache.org 2003-02-17 14:56:45 UTC
Probably OS2's table unicodeRanges 0bit is a good indication. Need 
to check with some fonts. 
Comment 3 falko.tesch 2003-10-01 15:48:43 UTC
I agree.
We should always display font names in Western _and_ (if applicable) 
in their native name.
Example: A Thai font should appear like this in the ffont list:

-Thai written name, wriiten in font face - [Western name, if possible 
written also in font face, if not use UI font]
Comment 4 falko.tesch 2003-10-01 15:48:59 UTC
started
Comment 5 sforbes 2003-11-17 11:50:16 UTC
>We should always display font names in Western _and_ (if applicable) 
>in their native name

Agreed.
This is exactly was MS Office (2003 in my case) does. 
Comment 6 bettina.haberer 2003-12-03 11:12:12 UTC
Hello Herbert, this issue, set to OO.o 2.0 AND started should have
been set on a developers owner, in this case yours. I change it to you.
Please give approval for this evaluated OO.o 2.0 flagged issue. 
If you confirm with the target OO.o 2.0, then please keep it on your
owner (or the owner of the concerning developer) for implementation.
In case you want this issue for 'OOo Later', then please reset the
target milestone. If you decline the issue finally, please set the
resolution to 'Wontfix' (but do not close). In case of 'OOo Later' or
'Wontfix' please reset it on Bettina's owner. Thank you.
Comment 7 hdu@apache.org 2003-12-03 12:02:44 UTC
.
Comment 8 ulf.stroehler 2004-05-25 14:57:15 UTC
According to the OOo roadmap retargeting to 'OOo Later'.
Comment 9 ulf.stroehler 2004-05-25 15:02:08 UTC
Changing onwer to bh as requested.
Comment 10 bettina.haberer 2004-05-25 15:53:39 UTC
As the developer has accepted the issue, it does not make sense to reassign it
to me. Reassigning on "OO.o later" to me is ok, if development has not accepted
an issue. So this one is set back to development.
Comment 11 bettina.haberer 2004-05-25 15:54:22 UTC
Reassigned to Herbert.
Comment 12 bettina.haberer 2004-05-25 15:57:42 UTC
Reset from new to started, as it already was accepted by development.
Comment 13 nalimilan 2007-04-21 16:25:41 UTC
This may be the occasion to add a new feature allowing to sort fonts. At the
moment, you can install many funny fonts because they will bother you in a
everyday use, flooding your font list when you only need "straight" fonts.

The ideal would be to class separately fonts that : 2) don't fit the current
language charset or 2) are fantasist 3) are for symbol use only. We could fisrt
put standard use fonts, then funny ones, and then symbols, using separators
(just an idea).
I don't know whether there may be a metadata that could be used to tell a font
is for a specific use.

Using Ubuntu Linux, for example, your font list is full of useless fonts that
*have* ASCII glyphs, but of poor quality.

This could be a main feature, because today it's difficult to choose a nice font
for a base user. AFAIK, MS Office doesn't have it... ;-)
Comment 14 nalimilan 2007-10-20 13:56:13 UTC
Abiword has a nice (though limited) workaround: on Ubuntu ae-* (Arabian) fonts
appear at the end of the list, maybe they use informations from the font to fit
to the current used encoding/locale.

An exhaustive design specification aiming at creating a nice font selection
widget/menu for all Open Source software (a must):
http://unifont.org/fontdialog/#theSolution
(and a criticism/analysis of current status:http://unifont.org/fontdialog/)

It could be good to inspire from this as every problem is tackled there. Linux
distributions are looking for a new font management system, and they may be
interested in working together with OO.o (eg need to achieve a system-wide menu
for fonts...). see for example Ubuntu: https://wiki.ubuntu.com/FontManagement.